Bug 251771 - FC7 kernel updates lack /proc/ide
FC7 kernel updates lack /proc/ide
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yaboot (Show other bugs)
7
powerpc Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-10 20:31 EDT by Bennett Feitell
Modified: 2008-06-16 22:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:08:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
make ofpath not require /proc/ide (1.70 KB, patch)
2007-08-11 02:13 EDT, David Woodhouse
no flags Details | Diff

  None (edit)
Description Bennett Feitell 2007-08-10 20:31:14 EDT
Description of problem:

The sequential upgrade of kernels from kernel-2.6.21-1.3228.fc7 to
kernel-2.6.22.1-27.fc7 to kernel-2.6.22.1-27.fc7 leaves the system broken and
headed for disaster.  2.6.22.1-27 leaves the hard disk undetectable for ybin and
yaboot.  The next kernel (2.6.22.1.41) installs with ybin errors and will not
boot.  The kernel installation does not fail because of the ybin errors.

On cleanup, the default yum-updatesd installonlyn setting of 2 means that the
last kernel that is able to let ybin complete successfully is removed from the
system.  After one more kernel update the system will be unbootable as
2.6.22.1-27 will then be removed.    


Version-Release number of selected component (if applicable):


How reproducible:

Every time yum is relied upon to upgrade through this sequence the problem will
arise.

Steps to Reproduce:
1. update from 2.6.21-1.3228.fc7 to 2.6.22.1-27.fc7
2. reboot into 2.6.22.1-27
3. update from 2.6.22.1-27.fc7 to 2.6.22.1-41.fc7
  
Actual results:

2.6.22.1-41.fc7 will not boot due to ybin being unable to find the hard disk and
OpenFirmware when the system is running 2.6.22.1-27.fc7.  /etc/yaboot.conf does
not get written to the boot partition and the system continues to boot into
2.6.22.1-27.fc7.  On a successive kernel upgrade 2.6.22.1-27.fc7 will be removed
automatically by yum and the system will no longer boot at all.

Expected results:

The system should be able to boot upgraded kernels.

Additional info:

I reinstalled kernel-2.6.21-1.3228.fc7 rebooted the system to that kernel and
manually ran ybin -v to properly write the contents of /etc/yaboot.conf to the
boot partition.  The machine is a Powerbook G4 867 (Titanium).  I have confirmed
that ybin again works properly under kernel-2.6.22.1-41.fc7.
Comment 1 David Woodhouse 2007-08-10 20:59:41 EDT
This bug is fixed in 2.6.22.1-41.fc7, where we re-enabled /proc/ide.
Comment 2 David Woodhouse 2007-08-11 02:12:06 EDT
Reopening and assigning to yaboot. Although this is 'fixed' in the kernel, we
could actually make ofpath work without relying on /proc/ide, and this would
help people who are currently running the 'broken' kernels and whose systems
will be rendered unbootable when they attempt to upgrade to the point where
their 'working' kernel is removed.

We should update yaboot, then make the new kernels require the updated yaboot.
Comment 3 David Woodhouse 2007-08-11 02:13:27 EDT
Created attachment 161107 [details]
make ofpath not require /proc/ide
Comment 4 Red Hat Bugzilla 2007-08-21 01:35:47 EDT
User pnasrat@redhat.com's account has been closed
Comment 5 Kevin Fenzi 2007-08-23 23:54:49 EDT
Note that I am seeing this very problem with current rawhide kernels as well. 
This results in never rebooting into new kernels... yaboot only sees the old
ones, since ybin didn't work when updating. 

The patch is comment #3 works fine here. 
This should be applied asap to f7 and devel. 
Comment 6 Bug Zapper 2008-05-14 09:56:45 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2008-06-16 22:08:22 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.